Create a Time Group

This API allows you to create a new Time Group.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api.servetel.in/v1/timegroup \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required to create a Time Group:

Variable NameDescriptionData Type
nameName of the time group.String
from_timeStart time of the time group.Array of Strings
to_timeEnd time of the time group.Array of Strings
daysDays on which time group is applicable.String
datesDates on which time group is applicable. Min:1 & Max: 31.Array of Strings
monthsMonths on which time group is applicable.Array of Strings

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string

Name for the timegroup

from_time
array of strings

Start time of timegroup

from_time
to_time
array of strings

End time of timegroup

to_time
string
enum

Days on which timegroup is applicable.

Allowed:
dates
array of strings

Dates on which timegroup is applicable, min:1, max:31

dates
months
array of strings

Months on which timegroup is applicable.

months
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json